/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch das
 * Ministerium für Energiewende, Klimaschutz, Umwelt und Natur
 * Zentrales IT-Management
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.formcycle.formdata;

import java.util.List;
import java.util.Set;

public class FormDataTestFactory {

	public static final String FORM_NAME = "formular";
	public static final String ORGANISATIONS_EINHEIT_ID = "12345";
	public static final String ATTACHMENT_ID = "file.pdf";
	public static final String FIELD_VALUE_1 = "on";
	public static final List<FormNode> FIELD_DATA = List.of(FormNodeTestFactory.create());

	public static FormData create() {
		return createBuilder().build();
	}

	public static FormData.FormDataBuilder createBuilder() {
		return FormData.builder()
				.formName(FORM_NAME)
				.organisationsEinheitId(ORGANISATIONS_EINHEIT_ID)
				.fieldData(FIELD_DATA)
				.attachmentNames(Set.of(ATTACHMENT_ID))
				.serviceKonto(ServiceKontoTestFactory.create());
	}
}
